"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dateOrNumberToNumber = void 0;
function isStringOfDigits(value) {
    return /^\d+$/.test(value);
}
/**
 * Converts a Date or number to a number. If a string is passed, it will be converted to a number if it is a string of digits, otherwise it will be converted to a Date (expects a date ISO string) and then a number.
 * @param dateOrNumber
 * @param fallBack The value to return if the value is undefined or null. Defaults to `0`.
 * @returns
 */
function dateOrNumberToNumber(dateOrNumber, fallBack = 0) {
    if (!dateOrNumber)
        return fallBack;
    return typeof dateOrNumber === 'number'
        ? dateOrNumber
        : typeof dateOrNumber === 'string'
            ? isStringOfDigits(dateOrNumber)
                ? Number(dateOrNumber)
                : new Date(dateOrNumber).getTime()
            : new Date(dateOrNumber).getTime();
}
exports.dateOrNumberToNumber = dateOrNumberToNumber;
