"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getShortToken = void 0;
const random_bytes_1 = require("./random-bytes");
const random_digits_1 = require("./random-digits");
function getShortToken(len, ifDigits) {
    return __awaiter(this, void 0, void 0, function* () {
        if (ifDigits) {
            return (0, random_digits_1.randomDigits)(len);
        }
        const str1 = yield (0, random_bytes_1.randomBytes)(Math.floor(len / 2) + 1);
        let str = str1.substr(0, len);
        if (str.match(/^[0-9]+$/)) { // tests will fail on all digits
            str = `q${str.substr(1)}`; // shhhh, secret.
        }
        return str;
    });
}
exports.getShortToken = getShortToken;
