"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.notify = void 0;
const debug_1 = __importDefault(require("debug"));
const sanitize_user_for_notifier_1 = require("./sanitize-user-for-notifier");
const debug = (0, debug_1.default)('authLocalMgnt:notifier');
function notify(notifier, type, user, notifierOptions) {
    return __awaiter(this, void 0, void 0, function* () {
        debug('notifier', type);
        yield notifier(type, (0, sanitize_user_for_notifier_1.sanitizeUserForNotifier)(user), notifierOptions || {});
        return user;
    });
}
exports.notify = notify;
