"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResetPwdShortService = void 0;
const options_1 = require("../options");
const reset_password_1 = require("../methods/reset-password");
const AuthenticationManagementBase_1 = require("./AuthenticationManagementBase");
class ResetPwdShortService extends AuthenticationManagementBase_1.AuthenticationManagementBase {
    constructor(app, options) {
        super(app);
        const defaultOptions = (0, options_1.makeDefaultOptions)([
            'service',
            'skipIsVerifiedCheck',
            'reuseResetToken',
            'notifier',
            'reuseResetToken',
            'sanitizeUserForClient',
            'passwordField',
            'identifyUserProps',
            'passParams'
        ]);
        this.options = Object.assign(defaultOptions, options);
    }
    _create(data, params) {
        return __awaiter(this, void 0, void 0, function* () {
            const passedParams = this.options.passParams && (yield this.options.passParams(params));
            return yield (0, reset_password_1.resetPwdWithShortToken)(this.optionsWithApp, data.token, data.user, data.password, data.notifierOptions, passedParams);
        });
    }
}
exports.ResetPwdShortService = ResetPwdShortService;
